Bug 212192 - kdump fails when "default" option appears before the other options in kdump.conf
kdump fails when "default" option appears before the other options in kdump.conf
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Neil Horman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-25 11:49 EDT by Nobuhiro Tachino
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-13 12:18:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
defualt.patch (1.32 KB, patch)
2006-10-25 11:49 EDT, Nobuhiro Tachino
no flags Details | Diff

  None (edit)
Description Nobuhiro Tachino 2006-10-25 11:49:56 EDT
Description of problem:

If "default" option apears before the oterh options like ext3 or net, system
reboots without saving a dump.

Version-Release number of selected component (if applicable):

kexec-tools-1.101-106.EL

How reproducible:

Always

Steps to Reproduce:
1. Add 'default reboot' before 'ext3 option in /etc/kdump.conf
2. System panic occurs.
3.
  
Actual results:

The system reboots without saving a dump.

Expected results:

The system reboots after saving a dump.

Additional info:

The appended patch fixes the problem.
Comment 1 Nobuhiro Tachino 2006-10-25 11:49:56 EDT
Created attachment 139359 [details]
defualt.patch
Comment 2 Neil Horman 2006-10-26 09:30:45 EDT
fixed in -108.el5
Comment 3 Jay Turner 2007-02-13 12:18:24 EST
kexec-tools-1.101-164.el5 included in 20070208.0.

Note You need to log in before you can comment on or make changes to this bug.